<div class="container">
	<app-left-navigation
		[rooms]="rooms"
		[loading]="loadingRooms">
	</app-left-navigation>
	<div class="right-section">
		<div>
			<app-room-header
				[roomName]="roomDetails && roomDetails.name"
				[users]="roomDetails && roomDetails.users"
				[loading]="loadingRoomDetails">
			</app-room-header>
		</div>
		<div>
			<app-messages-panel
				[messages]="messages"
				[loading]="loadingMessages">
			</app-messages-panel>
		</div>
		<div>
			<app-message-box (sendMessage)="onSendMessage($event)"></app-message-box>
		</div>
	</div>
</div>